# IRremoteESP8266: src/IRac.h File Reference

IRac.h File Reference

Go to the source code of this file.

## Classes

class | IRac
| A universal/common/generic interface for controling supported A/Cs. More...

## Namespaces

| IRAcUtils
| Common functions for use with all A/Cs supported by the IRac class.

## Functions

String | IRAcUtils::resultAcToString (const decode_results *const result)
| Display the human readable state of an A/C message if we can. More...
bool | IRAcUtils::decodeToState (const decode_results *decode, stdAc::state_t *result, const stdAc::state_t *prev)
| Convert a valid IR A/C remote message that we understand enough into a Common A/C state. More...

## Variables

const int8_t | kGpioUnused = -1
| A placeholder for not using an actual GPIO. More...

## Variable Documentation

## kGpioUnused

const int8_t kGpioUnused = -1

A placeholder for not using an actual GPIO.